Package commoble.bagofyurting.client

# Class ClientEvents

java.lang.Object
commoble.bagofyurting.client.ClientEvents

public class ClientEvents extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static ClientConfig`
`config`
`static boolean`
`overridingSafetyList`

## Constructor Summary

Constructors
Constructor
Description
`ClientEvents()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`canSpawnBagParticles()`
`static void`
`onHandleOptionalSpawnParticlePacket​(OptionalSpawnParticlePacket packet)`
`static void`
`subscribeClientEvents​(net.minecraftforge.eventbus.api.IEventBus modBus, net.minecraftforge.eventbus.api.IEventBus forgeBus)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### config

public static ClientConfig config

### overridingSafetyList

public static boolean overridingSafetyList

## Constructor Details

### ClientEvents

public ClientEvents()

## Method Details

### subscribeClientEvents

public static void subscribeClientEvents​(net.minecraftforge.eventbus.api.IEventBus modBus, net.minecraftforge.eventbus.api.IEventBus forgeBus)

### canSpawnBagParticles

public static boolean canSpawnBagParticles()

### onHandleOptionalSpawnParticlePacket

public static void onHandleOptionalSpawnParticlePacket​(OptionalSpawnParticlePacket packet)